Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227724 - Problems with DMA being disabled on ATA disk with 2.6.20-rc<late> kernels
Summary: Problems with DMA being disabled on ATA disk with 2.6.20-rc<late> kernels
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 19:09 UTC by Kjartan Maraas
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 14:53:33 UTC


Attachments (Terms of Use)

Description Kjartan Maraas 2007-02-07 19:09:18 UTC
Description of problem:

I'm seeing problems with lags and lack of interactivity after resume here. When
evolution downloads mail and updates folders and summaries the machine is close
to unusable with 5-10 seconds of lag and jerky/stuck mouse pointer and keyboard.

In my logs I see:

Feb  5 09:15:39 rivendell kernel: Disabling non-boot CPUs ...
Feb  5 09:15:41 rivendell kernel: Stopping tasks ... done.
Feb  5 09:15:41 rivendell kernel: Shrinking memory... done (118467 pages freed)
Feb  5 09:15:41 rivendell kernel: Freed 473868 kbytes in 39.28 seconds (12.06 MB/s)
Feb  5 09:15:41 rivendell kernel: Suspending console(s)
Feb  5 09:15:41 rivendell kernel: pnp: Device 00:02 disabled.
Feb  5 09:15:41 rivendell kernel: ACPI: PCI interrupt for device 0000:00:09.0
disabled
Feb  5 09:15:41 rivendell kernel: ACPI: PCI interrupt for device 0000:00:06.0
disabled
Feb  5 09:15:41 rivendell kernel: pci_set_power_state(): 0000:00:00.0: state=3,
current state=5
Feb  5 09:15:41 rivendell kernel: swsusp: critical section: 
Feb  5 09:15:41 rivendell kernel: swsusp: Need to copy 113641 pages
Feb  5 09:15:41 rivendell kernel: Intel machine check architecture supported.
Feb  5 09:15:41 rivendell kernel: Intel machine check reporting enabled on CPU#0.
Feb  5 09:15:54 rivendell kernel: ACPI: PCI Interrupt 0000:00:06.0[A] -> Link
[C0CB] -> GSI 11 (level, low) -> IRQ 11
Feb  5 09:15:56 rivendell gnome-power-manager: (kmaraas) DBUS timed out, but
recovering
Feb  5 09:15:58 rivendell kernel: ACPI: PCI Interrupt 0000:00:09.0[A] -> Link
[C0C9] -> GSI 5 (level, low) -> IRQ 5
Feb  5 09:16:02 rivendell kernel: Yenta O2: res at 0x94/0xD4: 00/ea
Feb  5 09:16:02 rivendell gnome-power-manager: (kmaraas) Fortsetter bruk av
datamaskin
Feb  5 09:16:04 rivendell kernel: Yenta O2: enabling read prefetch/write burst
Feb  5 09:16:06 rivendell kernel: ACPI: PCI Interrupt 0000:01:05.0[A] -> Link
[C0C4] -> GSI 10 (level, low) -> IRQ 10
Feb  5 09:16:08 rivendell kernel: pnp: Device 00:02 activated.
Feb  5 09:16:08 rivendell kernel: pnp: Failed to activate device 00:05.
Feb  5 09:16:08 rivendell kernel: pnp: Device 00:0a does not support activation.
Feb  5 09:16:10 rivendell kernel: pnp: Device 00:0b does not support activation.
Feb  5 09:16:10 rivendell kernel: ata1: soft resetting port
Feb  5 09:16:11 rivendell kernel: Restarting tasks ... done.
Feb  5 09:16:12 rivendell kernel: Enabling non-boot CPUs ...
Feb  5 09:16:12 rivendell kernel: ata1.00: simplex DMA is claimed by other
device, disabling DMA
Feb  5 09:16:13 rivendell kernel: ata1.00: configured for PIO4
Feb  5 09:16:14 rivendell kernel: ata1: EH complete
Feb  5 09:16:16 rivendell kernel: SCSI device sda: 156301488 512-byte hdwr
sectors (80026 MB)
Feb  5 09:16:16 rivendell kernel: sda: Write Protect is off
Feb  5 09:16:17 rivendell kernel: SCSI device sda: write cache: enabled, read
cache: enabled, doesn't support DPO or FUA
Feb  5 09:16:18 rivendell kernel: input: Power Button (FF) as /class/input/input13
Feb  5 09:16:19 rivendell kernel: ACPI: Power Button (FF) [PWRF]
Feb  5 09:16:20 rivendell kernel: input: Sleep Button (CM) as /class/input/input14
Feb  5 09:16:20 rivendell kernel: ACPI: Sleep Button (CM) [C13B]
Feb  5 09:16:21 rivendell kernel: input: Lid Switch as /class/input/input15
Feb  5 09:16:22 rivendell kernel: ACPI: Lid Switch [C13A]

lspci has this to say:

00:10.0 IDE interface: ALi Corporation M5229 IDE (rev c4)




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Kjartan Maraas 2007-02-21 11:38:23 UTC
This is after resume from suspend to disk if that makes a difference.

Comment 2 Kjartan Maraas 2007-02-23 13:38:28 UTC
Here's dmesg output for a case where I boot and then suspend to disk/resume:

Linux version 2.6.20-1.2940.fc7 (brewbuilder@hs20-bc2-4.build.redhat.com) (gcc
version 4.1.2 20070220 (Red Hat 4.1.2-2)) #1 SMP Thu Feb 22 13:11:42 EST 2007
BIOS-provided physical RAM map:
sanitize start
sanitize end
copy_e820_map() start: 0000000000000000 size: 000000000009fc00 end:
000000000009fc00 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000000009fc00 size: 0000000000000400 end:
00000000000a0000 type: 2
copy_e820_map() start: 00000000000e0000 size: 0000000000020000 end:
0000000000100000 type: 2
copy_e820_map() start: 0000000000100000 size: 000000003ded0000 end:
000000003dfd0000 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000003dfd0000 size: 0000000000020c00 end:
000000003dff0c00 type: 2
copy_e820_map() start: 000000003dff0c00 size: 000000000000b400 end:
000000003dffc000 type: 4
copy_e820_map() start: 000000003dffc000 size: 0000000000004000 end:
000000003e000000 type: 2
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003dfd0000 (usable)
 BIOS-e820: 000000003dfd0000 - 000000003dff0c00 (reserved)
 BIOS-e820: 000000003dff0c00 - 000000003dffc000 (ACPI NVS)
 BIOS-e820: 000000003dffc000 - 000000003e000000 (reserved)
95MB HIGHMEM available.
896MB LOWMEM available.
Using x86 segment limits to approximate NX protection
Entering add_active_range(0, 0, 253904) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   229376
  HighMem    229376 ->   253904
early_node_map[1] active PFN ranges
    0:        0 ->   253904
On node 0 totalpages: 253904
  DMA zone: 52 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4044 pages, LIFO batch:0
  Normal zone: 2860 pages used for memmap
  Normal zone: 222420 pages, LIFO batch:31
  HighMem zone: 311 pages used for memmap
  HighMem zone: 24217 pages, LIFO batch:3
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP 000F7840, 0014 (r0 COMPAQ)
ACPI: RSDT 3DFF0C84, 002C (r1 COMPAQ CPQ005A  10120420 CPQ         1)
ACPI: FACP 3DFF0C00, 0084 (r2 COMPAQ CPQ005A         2 CPQ         1)
ACPI: DSDT 3DFF0CB0, 607E (r1 COMPAQ  EVON800    10000 MSFT  100000E)
ACPI: FACS 3DFFBE80, 0040
ACPI: SSDT 3DFF6D2E, 02E9 (r1 COMPAQ  CPQGysr     1001 MSFT  100000E)
ATI board detected. Disabling timer routing over 8254.
ACPI: PM-Timer IO Port: 0x1008
Allocating PCI resources starting at 40000000 (gap: 3e000000:c2000000)
Detected 597.096 MHz processor.
Built 1 zonelists.  Total pages: 250681
Kernel command line: ro root=LABEL=/ rhgb quiet selinux=off
Local APIC disabled by BIOS -- you can enable it with "lapic"
mapped APIC to ffffd000 (01cab000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c079e000 soft=c077e000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Console: colour VGA+ 80x25
Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
... MAX_LOCKDEP_SUBCLASSES:    8
... MAX_LOCK_DEPTH:          30
... MAX_LOCKDEP_KEYS:        2048
... CLASSHASH_SIZE:           1024
... MAX_LOCKDEP_ENTRIES:     8192
... MAX_LOCKDEP_CHAINS:      16384
... CHAINHASH_SIZE:          8192
 memory used by lock dependency info: 1096 kB
 per task-struct memory footprint: 1200 bytes
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 991788k/1015616k available (2148k kernel code, 23104k reserved, 1138k
data, 248k init, 98112k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xf8800000 - 0xff7fe000   ( 111 MB)
    lowmem  : 0xc0000000 - 0xf8000000   ( 896 MB)
      .init : 0xc073b000 - 0xc0779000   ( 248 kB)
      .data : 0xc06190f1 - 0xc0735cb4   (1138 kB)
      .text : 0xc0400000 - 0xc06190f1   (2148 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 1195.35 BogoMIPS (lpj=597679)
Security Framework v1.0.0 initialized
SELinux:  Disabled at boot.
Capability LSM initialized
Mount-cache hash table entries: 512
CPU: After generic identify, caps: afe9f9bf 00000000 00000000 00000000 00000180
00000000 00000000
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: After all inits, caps: afe9f1bf 00000000 00000000 00002040 00000180
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 12k freed
ACPI: Core revision 20070126
ACPI: setting ELCR to 0200 (from 0c20)
CPU0: Intel(R) Pentium(R) M processor 1.80GHz stepping 06
SMP motherboard not detected.
Local APIC not detected. Using dummy APIC emulation.
Brought up 1 CPUs
sizeof(vma)=84 bytes
sizeof(page)=52 bytes
sizeof(inode)=564 bytes
sizeof(dentry)=156 bytes
sizeof(ext3inode)=800 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=176 bytes
sizeof(task_struct)=2704 bytes
HP Compaq Laptop series board detected. Selecting BIOS-method for reboots.
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xf031f, last bus=1
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [C044] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 1000-103f claimed by ali7101 ACPI
PCI quirk: region 1100-111f claimed by ali7101 SMB
Boot video device is 0000:01:05.0
ACPI: PCI Interrupt Routing Table [\_SB_.C044._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.C044.C045._PRT]
ACPI: PCI Interrupt Link [C0C4] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [C0C5] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [C0C6] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [C0C7] (IRQs 5 10 11) *0, disabled.
ACPI: PCI Interrupt Link [C0C8] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [C0C9] (IRQs *5 10 11)
ACPI: PCI Interrupt Link [C0CA] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [C0CB] (IRQs 5 10 *11)
ACPI: Power Resource [C15A] (on)
ACPI: Power Resource [C15F] (on)
ACPI: Power Resource [C169] (on)
ACPI: Power Resource [C17A] (on)
ACPI: Power Resource [C1F2] (off)
ACPI: Power Resource [C1F3] (off)
ACPI: Power Resource [C1F4] (off)
ACPI: Power Resource [C1F5] (off)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 15 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
pnp: 00:00: iomem range 0x0-0x9ffff could not be reserved
pnp: 00:00: iomem range 0xe0000-0xfffff could not be reserved
pnp: 00:00: iomem range 0x100000-0x3dffffff could not be reserved
pnp: 00:0c: iomem range 0xffb00000-0xffbfffff has been reserved
pnp: 00:0c: iomem range 0xfff00000-0xffffffff has been reserved
pnp: 00:0d: ioport range 0x1000-0x107f could not be reserved
pnp: 00:0d: ioport range 0x1100-0x111f has been reserved
pnp: 00:0d: iomem range 0x98500000-0x98500fff has been reserved
pnp: 00:0e: iomem range 0xcf000-0xcffff has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: 2000-2fff
  MEM window: 90000000-900fffff
  PREFETCH window: 94000000-97ffffff
PCI: Bus 2, cardbus bridge: 0000:00:0b.0
  IO window: 00001400-000014ff
  IO window: 00001800-000018ff
  PREFETCH window: 40000000-43ffffff
  MEM window: 44000000-47ffffff
PCI: Bus 6, cardbus bridge: 0000:00:0b.1
  IO window: 00001c00-00001cff
  IO window: 00003c00-00003cff
  PREFETCH window: 48000000-4bffffff
  MEM window: 4c000000-4fffffff
ACPI: PCI Interrupt Link [C0C6] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:00:0b.0[A] -> Link [C0C6] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt 0000:00:0b.1[A] -> Link [C0C6] -> GSI 11 (level, low) -> IRQ 11
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 65536 (order: 9, 2359296 bytes)
TCP bind hash table entries: 65536 (order: 9, 2097152 bytes)
TCP: Hash tables configured (established 65536 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 2781k freed
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1172236548.499:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
ksign: Installing public key data
Loading keyring
- Added public key 50FF7A121872AA0A
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Activating ISA DMA hang workarounds.
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Transitioning device [C1F6] to D3
ACPI: Transitioning device [C1F6] to D3
ACPI: Fan [C1F6] (off)
ACPI: Transitioning device [C1F7] to D3
ACPI: Transitioning device [C1F7] to D3
ACPI: Fan [C1F7] (off)
ACPI: Transitioning device [C1F8] to D3
ACPI: Transitioning device [C1F8] to D3
ACPI: Fan [C1F8] (off)
ACPI: Transitioning device [C1F9] to D3
ACPI: Transitioning device [C1F9] to D3
ACPI: Fan [C1F9] (off)
ACPI: Invalid PBLK length [7]
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3] C4[C3])
ACPI: Thermal Zone [TZ1] (61 C)
ACPI: Thermal Zone [TZ2] (55 C)
ACPI: Thermal Zone [TZ3] (39 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.102 (c) Dave Jones
agpgart: Detected Ati IGP345M chipset
agpgart: AGP aperture is 64M @ 0x9c000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS2 at I/O 0x3e8 (irq = 3) is a 16550A
00:02: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ACPI: PCI Interrupt Link [C0CA] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [C0CA] -> GSI 11 (level, low) -> IRQ 11
0000:00:08.0: ttyS1 at I/O 0x3428 (irq = 11) is a 8250
0000:00:08.0: ttyS3 at I/O 0x3440 (irq = 11) is a 8250
Couldn't register serial port 0000:00:08.0: -28
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
Yenta: CardBus bridge found at 0000:00:0b.0 [0e11:005a]
Yenta O2: res at 0x94/0xD4: 00/ea
Yenta O2: enabling read prefetch/write burst
Yenta: ISA IRQ mask 0x04b8, PCI irq 11
Socket status: 30000006
Yenta: CardBus bridge found at 0000:00:0b.1 [0e11:005a]
Yenta: ISA IRQ mask 0x04b8, PCI irq 11
Socket status: 30000006
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:C177,PNP0f13:C178] at 0x60,0x64 irq 1,12
i8042.c: Detected active multiplexing controller, rev 1.1.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX0 port at 0x60,0x64 irq 12
serio: i8042 AUX1 port at 0x60,0x64 irq 12
serio: i8042 AUX2 port at 0x60,0x64 irq 12
serio: i8042 AUX3 port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input1
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
speedstep-centrino with X86_SPEEDSTEP_CENTRINO_ACPI config is deprecated.
 Use X86_ACPI_CPUFREQ (acpi-cpufreq) instead.
Using IPI No-Shortcut mode
Time: acpi_pm clocksource has been installed.
Switched to high resolution mode on CPU 0
Freeing unused kernel memory: 248k freed
Write protecting the kernel read-only data: 840k
USB Universal Host Controller Interface driver v3.0
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ACPI: PCI Interrupt Link [C0C5] enabled at IRQ 10
PCI: setting IRQ 10 as level-triggered
ACPI: PCI Interrupt 0000:00:12.0[A] -> Link [C0C5] -> GSI 10 (level, low) -> IRQ 10
ohci_hcd 0000:00:12.0: OHCI Host Controller
ohci_hcd 0000:00:12.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:12.0: irq 10, io mem 0x98380000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ACPI: PCI Interrupt 0000:00:12.1[B] -> Link [C0C5] -> GSI 10 (level, low) -> IRQ 10
ohci_hcd 0000:00:12.1: OHCI Host Controller
ohci_hcd 0000:00:12.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:12.1: irq 10, io mem 0x98400000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Synaptics Touchpad, model: 1, fw: 5.9, id: 0x1b6eb1, caps: 0xa84793/0x100000
serio: Synaptics pass-through port at isa0060/serio4/input0
input: SynPS/2 Synaptics TouchPad as /class/input/input2
ACPI: PCI Interrupt 0000:00:12.2[C] -> Link [C0C5] -> GSI 10 (level, low) -> IRQ 10
ehci_hcd 0000:00:12.2: EHCI Host Controller
ehci_hcd 0000:00:12.2: new USB bus registered, assigned bus number 3
usb 1-3: new full speed USB device using ohci_hcd and address 2
ehci_hcd 0000:00:12.2: irq 10, io mem 0x98480000
ehci_hcd 0000:00:12.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
SCSI subsystem initialized
libata version 2.10 loaded.
ACPI: PCI Interrupt Link [C0C4] enabled at IRQ 10
ACPI: PCI Interrupt 0000:00:10.0[A] -> Link [C0C4] -> GSI 10 (level, low) -> IRQ 10
ata1: PATA max UDMA/133 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x00013800 irq 14
ata2: PATA max UDMA/133 cmd 0x00010170 ctl 0x00010376 bmdma 0x00013808 irq 15
scsi0 : pata_ali
ata1.00: ATA-6: HTS541080G9AT00, MB4OA60A, max UDMA/100
ata1.00: 156301488 sectors, multi 16: LBA48 
ata1.00: configured for UDMA/100
scsi1 : pata_ali
usb 1-3: new full speed USB device using ohci_hcd and address 3
scsi 0:0:0:0: Direct-Access     ATA      HTS541080G9AT00  MB4O PQ: 0 ANSI: 5
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sda: sda1 sda2 sda3 sda4 < sda5 >
sd 0:0:0:0: Attached scsi disk sda
usb 1-3: configuration #1 chosen from 1 choice
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: PS/2 Generic Mouse as /class/input/input3
cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
cs: IO port probe 0x3e0-0x4ff: excluding 0x408-0x40f 0x480-0x48f 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
cs: IO port probe 0x3e0-0x4ff: excluding 0x408-0x40f 0x480-0x48f 0x4d0-0x4d7
cs: IO port probe 0x820-0x8ff: clean.
cs: IO port probe 0xc00-0xcf7: clean.
cs: IO port probe 0xa00-0xaff: clean.
Floppy drive(s): fd0 is 1.44M
sd 0:0:0:0: Attached scsi generic sg0 type 0
alim7101_wdt: Steve Hill <steve@navaho.co.uk>.
alim7101_wdt: Detected old alim7101 revision 'a1d'.  If this is a cobalt board,
set the 'use_gpio' module parameter.
floppy0: no floppy controllers found
ali15x3_smbus 0000:00:11.0: ALI15X3_smb region uninitialized - upgrade BIOS or
use force_addr=0xaddr
ali15x3_smbus 0000:00:11.0: ALI15X3 not detected, module not inserted.
alim7101_wdt: Steve Hill <steve@navaho.co.uk>.
alim7101_wdt: Detected old alim7101 revision 'a1d'.  If this is a cobalt board,
set the 'use_gpio' module parameter.
ACPI: PCI Interrupt Link [C0CB] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:06.0[A] -> Link [C0CB] -> GSI 11 (level, low) -> IRQ 11
input: PC Speaker as /class/input/input4
tpm_inf_pnp 00:05: Found C16C with ID IFX0101
tpm_inf_pnp 00:05: TPM found: config base 0x7e, io base 0x1410, chip version
0x0006, vendor id 0x15d1 (Infineon), product id 0x0006 (SLD 9630 TT 1.1)
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: HCI USB driver ver 2.9
usbcore: registered new interface driver hci_usb
AC'97 1 does not respond - RESET
AC'97 1 access is not valid [0xffffffff], removing mixer.
ali mixer 1 creating error.
tg3.c:v3.73 (February 12, 2007)
ACPI: PCI Interrupt Link [C0C8] enabled at IRQ 10
ACPI: PCI Interrupt 0000:00:13.0[A] -> Link [C0C8] -> GSI 10 (level, low) -> IRQ 10
eth0: Tigon3 [partno(BCM5705mA1) rev 3003 PHY(5705)] (PCI:33MHz:32-bit)
10/100/1000Base-T Ethernet 00:11:85:84:99:ae
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[0] TSOcap[1] 
eth0: dma_rwctrl[763f0000] dma_mask[64-bit]
rtc_cmos 00:09: rtc core: registered rtc_cmos as rtc0
pnp: Device 00:09 does not support disabling.
rtc_cmos: probe of 00:09 failed with error -16
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found
lp0: using parport0 (interrupt-driven).
lp0: console ready
sonypi: Sony Programmable I/O Controller Driver v1.26.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
[drm] Initialized drm 1.1.0 20060810
ACPI: PCI Interrupt 0000:01:05.0[A] -> Link [C0C4] -> GSI 10 (level, low) -> IRQ 10
[drm] Initialized radeon 1.25.0 20060524 on minor 0
ACPI: AC Adapter [C137] (off-line)
ACPI: Battery Slot [C139] (battery present)
ACPI: Battery Slot [C138] (battery absent)
No dock devices found.
input: Power Button (FF) as /class/input/input5
ACPI: Power Button (FF) [PWRF]
input: Sleep Button (CM) as /class/input/input6
ACPI: Sleep Button (CM) [C13B]
input: Lid Switch as /class/input/input7
ACPI: Lid Switch [C13A]
ibm_acpi: ec object not found
ACPI: Video Device [C046] (multi-head: yes  rom: no  post: no)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
EXT3 FS on sda2, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2048276k swap on /dev/sda3.  Priority:-1 extents:1 across:2048276k
Clocksource tsc unstable (delta = 79208949 ns)
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (7934 buckets, 63472 max)
PM: Writing back config space on device 0000:00:13.0 at offset b (was 165d14e4,
writing 5a0e11)
PM: Writing back config space on device 0000:00:13.0 at offset 3 (was 0, writing
4010)
PM: Writing back config space on device 0000:00:13.0 at offset 2 (was 2000000,
writing 2000003)
PM: Writing back config space on device 0000:00:13.0 at offset 1 (was 2b00000,
writing 2b00006)
ADDRCONF(NETDEV_UP): eth0: link is not ready
PM: Writing back config space on device 0000:00:13.0 at offset b (was 165d14e4,
writing 5a0e11)
PM: Writing back config space on device 0000:00:13.0 at offset 3 (was 0, writing
4010)
PM: Writing back config space on device 0000:00:13.0 at offset 2 (was 2000000,
writing 2000003)
PM: Writing back config space on device 0000:00:13.0 at offset 1 (was 2b00000,
writing 2b00006)
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:05.0 into 4x mode
[drm] Setting GART location based on old memory map
[drm] writeback test succeeded in 1 usecs
Stopping tasks ... done.
Shrinking memory... done (38974 pages freed)
Freed 155896 kbytes in 0.53 seconds (294.14 MB/s)
Suspending console(s)
pnp: Device 00:04 disabled.
pnp: Device 00:02 disabled.
ACPI: PCI interrupt for device 0000:00:12.2 disabled
ACPI: PCI interrupt for device 0000:00:12.1 disabled
ACPI: PCI interrupt for device 0000:00:12.0 disabled
ACPI: PCI interrupt for device 0000:00:06.0 disabled
pci_set_power_state(): 0000:00:00.0: state=3, current state=5
Disabling non-boot CPUs ...
swsusp: critical section: 
swsusp: Need to copy 114846 pages
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
PM: Writing back config space on device 0000:00:06.0 at offset 1 (was c2900007,
writing c2900003)
ACPI: PCI Interrupt 0000:00:06.0[A] -> Link [C0CB] -> GSI 11 (level, low) -> IRQ 11
Yenta O2: res at 0x94/0xD4: 00/ea
Yenta O2: enabling read prefetch/write burst
BUG: warning at drivers/pci/pci.c:823/pcim_enable_device() (Not tainted)
 [<c04062a5>] show_trace_log_lvl+0x1a/0x2f
 [<c0406869>] show_trace+0x12/0x14
 [<c04068ed>] dump_stack+0x16/0x18
 [<c04fb8c7>] pcim_enable_device+0x9e/0xbb
 [<f8906124>] ata_pci_device_do_resume+0x1f/0x5d [libata]
 [<f890691b>] ata_pci_device_resume+0x10/0x23 [libata]
 [<f8863193>] ali_reinit_one+0x12/0x15 [pata_ali]
 [<c04fd918>] pci_device_resume+0x1a/0x44
 [<c0566cdd>] resume_device+0xa7/0xe0
 [<c0566d92>] dpm_resume+0x7c/0xd5
 [<c0566e2f>] device_resume+0x44/0x5d
 [<c044d634>] pm_suspend_disk+0x279/0x28d
 [<c044c327>] enter_state+0x51/0x189
 [<c044c4e5>] state_store+0x86/0x9c
 [<c04b7428>] subsys_attr_store+0x20/0x25
 [<c04b7547>] sysfs_write_file+0xc6/0xee
 [<c047f20b>] vfs_write+0xaf/0x163
 [<c047f859>] sys_write+0x3d/0x61
 [<c0405134>] syscall_call+0x7/0xb
 =======================
PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:00:12.0[A] -> Link [C0C5] -> GSI 10 (level, low) -> IRQ 10
PCI: Enabling device 0000:00:12.1 (0000 -> 0002)
ACPI: PCI Interrupt 0000:00:12.1[B] -> Link [C0C5] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:00:12.2[C] -> Link [C0C5] -> GSI 10 (level, low) -> IRQ 10
usb usb3: root hub lost power or was reset
ACPI: PCI Interrupt 0000:01:05.0[A] -> Link [C0C4] -> GSI 10 (level, low) -> IRQ 10
pnp: Device 00:02 activated.
pnp: Device 00:04 activated.
pnp: Failed to activate device 00:05.
pnp: Device 00:0a does not support activation.
pnp: Device 00:0b does not support activation.
usb usb1: root hub lost power or was reset
usb usb2: root hub lost power or was reset
ata1: soft resetting port
 usbdev1.3_ep00: PM: resume from 0, parent 1-3 still 1
hci_usb 1-3:1.0: PM: resume from 1, parent 1-3 still 1
 usbdev1.3_ep81: PM: resume from 0, parent 1-3:1.0 still 1
 usbdev1.3_ep02: PM: resume from 0, parent 1-3:1.0 still 1
 usbdev1.3_ep82: PM: resume from 0, parent 1-3:1.0 still 1
hci_usb 1-3:1.1: PM: resume from 1, parent 1-3 still 1
usb 1-3:1.2: PM: resume from 1, parent 1-3 still 1
 usbdev1.3: PM: resume from 0, parent 1-3 still 1
 usbdev1.3_ep03: PM: resume from 0, parent 1-3:1.1 still 1
 usbdev1.3_ep83: PM: resume from 0, parent 1-3:1.1 still 1
 hci0: PM: resume from 0, parent 1-3:1.0 still 1
Restarting tasks ... done.
ata1.00: simplex DMA is claimed by other device, disabling DMA
ata1.00: configured for PIO4
ata1: EH complete
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
usb 1-3: USB disconnect, address 3
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
input: Power Button (FF) as /class/input/input8
ACPI: Power Button (FF) [PWRF]
input: Sleep Button (CM) as /class/input/input9
ACPI: Sleep Button (CM) [C13B]
input: Lid Switch as /class/input/input10
ACPI: Lid Switch [C13A]
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:05.0 into 4x mode


Comment 3 Kjartan Maraas 2007-03-07 12:06:35 UTC
Tried this again with the latest rawhide kernel and it's still there. I was
thinking this commit would have fixed it:

commit bb648a0d22908116b4ef168935a160d7f17c4e6d
Merge: 8b45339... 6ffa01d...
Author: Linus Torvalds <torvalds@woody.linux-foundation.org>
Date:   Fri Mar 2 17:58:52 2007 -0800

    Merge branch 'upstream-linus' of master.kernel.org:/pub/scm/linux/kernel/git
/jgarzik/libata-dev
    
    * 'upstream-linus' of master.kernel.org:/pub/scm/linux/kernel/git/jgarzik/li
bata-dev:
      libata: add CONFIG_PM to libata core layer
      libata: add missing CONFIG_PM in LLDs
      libata: add missing PM callbacks
      pata_qdi: Fix initialisation
      [libata] pata_cmd64x: fix driver description in comments
      [libata] pata_{legacy,sc1200,sl82c105}: add missing hooks
      [libata] change master/slave IDENTIFY order
      libata-core: Fix simplex handling

but that seems not to be the case. Is this a different known problem? Alan?

Comment 4 Kjartan Maraas 2007-03-10 16:29:35 UTC
Looks like it was fixed in today's rawhide kernel (kernel-2.6.20-1.2982.fc7)


Note You need to log in before you can comment on or make changes to this bug.